Bug 243235 - textproc/gnugrep: use _WITH for OPTIONS
Summary: textproc/gnugrep: use _WITH for OPTIONS
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Alexey Dokuchaev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-10 00:55 UTC by John Hein
Modified: 2020-09-28 20:58 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
[patch] use _WITH for options (869 bytes, patch)
2020-01-10 00:55 UTC, John Hein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Hein 2020-01-10 00:55:33 UTC
Created attachment 210579 [details]
[patch] use _WITH for options

No functional change.  Use simpler single _WITH for options instead of _ON & _OFF.
Comment 1 Alexey Dokuchaev freebsd_committer 2020-01-22 14:39:08 UTC
Thanks, I'll include it with the next version update (to reduce the repochurn).
Comment 2 commit-hook freebsd_committer 2020-09-28 20:55:01 UTC
A commit references this bug:

Author: danfe
Date: Mon Sep 28 20:54:31 UTC 2020
New revision: 550450
URL: https://svnweb.freebsd.org/changeset/ports/550450

Log:
  - Update to version 3.5 [1]
  - Use more option helpers [2]

  Found out via:	www.opennet.ru [1]
  PR:		243235 [2]

Changes:
  head/textproc/gnugrep/Makefile
  head/textproc/gnugrep/distinfo
Comment 3 Alexey Dokuchaev freebsd_committer 2020-09-28 20:58:02 UTC
Thanks John, committed together with update to version 3.5 in ports r550450.